Skip to content
Start here

Delete script secret

client.workersForPlatforms.dispatch.namespaces.scripts.secrets.delete(stringdispatchNamespace, stringscriptName, stringsecretName, SecretDeleteParams { account_id, url_encoded } params, RequestOptionsoptions?): SecretDeleteResponse | null
DELETE/accounts/{account_id}/workers/dispatch/namespaces/{dispatch_namespace}/scripts/{script_name}/secrets/{secret_name}

Remove a secret from a script uploaded to a Workers for Platforms namespace.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers Scripts Write
ParametersExpand Collapse
dispatchNamespace: string

Name of the Workers for Platforms dispatch namespace.

scriptName: string

Name of the script, used in URLs and route configuration.

secretName: string

A JavaScript variable name for the secret binding.

params: SecretDeleteParams { account_id, url_encoded }
account_id: string

Path param: Identifier.

maxLength32
url_encoded?: boolean

Query param: Flag that indicates whether the secret name is URL encoded.

ReturnsExpand Collapse
SecretDeleteResponse = unknown

Delete script secret

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const secret = await client.workersForPlatforms.dispatch.namespaces.scripts.secrets.delete(
  'my-dispatch-namespace',
  'this-is_my_script-01',
  'mySecret',
  { account_id: '023e105f4ecef8ad9ca31a8372d0c353' },
);

console.log(secret);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {}
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {}
}